
Redmine - Patch #21258

Use <ul> to do pagination, styling in a GitHub like manner with improved handling in responsive

mode

2015-11-17 15:38 - Daniel Ritz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.0   

Description

Patch 0003: use <ul> to do pagination for better styling capabilities

The outer p.pagination is changed to span.pagination. This is required since lists are not allowed within <p>

Change all items of the navigation to be <li>. This allows easy styling.

Patch 0004: change the pagination to a GitHub like style that is also easier to handle in responsive mode. Screenshot provided.

Related issues:

Related to Redmine - Patch #23192: Add the new pagination style in the activi... Closed

Related to Redmine - Patch #26671: Use the new pagination style in gantt Closed

Related to Redmine - Feature #27346: Use the new pagination style for the cal... Closed

Has duplicate Redmine - Patch #21245: UI/CSS refinements, part 1 Closed

Associated revisions

Revision 14897 - 2015-11-28 12:13 - Jean-Philippe Lang

Use ul tags to do pagination (#21258).

Patch by Daniel Ritz.

Revision 14898 - 2015-11-28 12:13 - Jean-Philippe Lang

Removed a space after spacer (#21258).

Revision 14899 - 2015-11-28 12:16 - Jean-Philippe Lang

Lighter colors (#21258).

Revision 14900 - 2015-11-28 12:44 - Jean-Philippe Lang

Adds a bottom margin for pagination (#21258).

Revision 14949 - 2015-12-05 12:32 - Jean-Philippe Lang

Highlight current per-page selection (#21258).

Patch by Go MAEDA.

Revision 14953 - 2015-12-06 11:51 - Jean-Philippe Lang

Merged r14897 to r14900 and r14949 (#21258).

History

#1 - 2015-11-20 02:23 - Go MAEDA

- Has duplicate Patch #21245: UI/CSS refinements, part 1 added

#2 - 2015-11-21 09:39 - Go MAEDA

- Target version set to Candidate for next major release

+1

Wonderful inprovement.
#3 - 2015-11-29 03:02 - Go MAEDA

- Target version changed from Candidate for next major release to 3.2.0

Thanks for working on this!

The work seems to be completed. Can target version be set to 3.2.0?

#4 - 2015-11-29 06:03 - Go MAEDA

- File highlight-current-per-page-selection.diff added

- File highlight-current-per-page-selection.png added

I think it would be better to make current per-page selection obvious.

 

#5 - 2015-12-06 11:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

#6 - 2016-06-29 13:58 - Go MAEDA

- Related to Patch #23192: Add the new pagination style in the activity page added

#7 - 2017-08-14 08:00 - Go MAEDA

- Related to Patch #26671: Use the new pagination style in gantt added

#8 - 2017-11-01 09:54 - Marius BĂLTEANU

- Related to Feature #27346: Use the new pagination style for the calendars view added

Files

0004-Pagination-change-to-a-GitHub-like-style.patch 1.73 KB 2015-11-17 Daniel Ritz

0003-Pagination-use-ul-to-do-pagination-for-better-stylin.patch 12.7 KB 2015-11-17 Daniel Ritz

pagination-screenshot.png 9.76 KB 2015-11-17 Daniel Ritz

highlight-current-per-page-selection.diff 932 Bytes 2015-11-29 Go MAEDA

highlight-current-per-page-selection.png 14.1 KB 2015-11-29 Go MAEDA
